%define	name		poppler
%define version 0.5.3
%define subrel	3
%define release %mkrel 5
%define major 1
%define  qtmajor 1
%define libname		%mklibname %name %major
%define libnameqt	%mklibname %name-qt %qtmajor
%define libnameqt4	%mklibname %name-qt4- %qtmajor

%define qt4support 1

Summary:	PDF rendering library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
URL:		http://poppler.freedesktop.org
Source:		%{name}-%{version}.tar.bz2
Patch0:		poppler-0.5.3-refcount.patch.bz2
Patch1:		poppler-0.5.3-init.patch.bz2
Patch2:		poppler-0.5.3-CVE-2007-0104.patch
Patch3:		poppler-0.5.3-CVE-2007-3387.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  qt3-devel
%if %qt4support
BuildRequires:	qt4-devel
%endif
BuildRequires:  gtk2-devel
BuildRequires:  cairo-devel >= 0.5.0
BuildRequires:  automake1.9
Conflicts: xpdf-tools

%description
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n %{libname}
Summary:	PDF rendering library
Group:          System/Libraries

%description -n %{libname}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n %{libname}-devel
Summary:	Development files for %{name}
Group:		Development/C++
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n %{libname}-devel
Development files for %{name}

%package -n %{libnameqt}
Summary:	PDF rendering library - QT backend
Group:          System/Libraries

%description -n %{libnameqt}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the QT backend version.

%package -n %{libnameqt}-devel
Summary:	Development files for %{name}-qt
Group:		Development/C++
Provides:	lib%{name}-qt-devel = %{version}
Requires:	%{libnameqt} = %{version}
Requires:	%libname-devel = %version

%description -n %{libnameqt}-devel
Development files for %{name}-qt


%if %qt4support
%package  -n %{libnameqt4}-devel
Summary:    Development files for %{name}-qt4
Group:      Development/C++
Provides:   lib%{name}-qt4-devel = %{version}
Requires:   %{libnameqt4} = %{version}
Requires:   %libname-devel = %version

%description -n %{libnameqt4}-devel
Development files for %{name}-qt4

%package -n %{libnameqt4}
Summary:    PDF rendering library - QT4 backend
Group:          System/Libraries

%description -n %{libnameqt4}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the QT backend version.

%endif

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1 -b .cve-2007-0104
%patch3 -p1 -b .cve-2007-3387

perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt|qt4)_(libdirs|libraries)=/" configure

perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt|qt4)_(libdirs|libraries)=/" configure
perl -pi -e 's@qt4_incdirs="/usr/local/qt/include.*$@qt4_incdirs="/usr/lib/qt4/include"@' configure
perl -pi -e 's@qt4_libdirs="/usr/local/qt/lib.*$@qt4_libdirs="/usr/lib/qt4/%_lib"@' configure

%build

export CPPFLAGS="-I%_includedir/freetype2"
%configure2_5x \
	--enable-a4-paper \
	--enable-poppler-qt \
	--enable-cairo-output \
%if %qt4support	
	--enable-poppler-qt4 \
%else
	--disable-poppler-qt4 \
%endif	
	--enable-xpdf-headers
%make

%install
rm -rf %{buildroot}
%makeinstall

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libnameqt} -p /sbin/ldconfig
%postun -n %{libnameqt} -p /sbin/ldconfig

%if %qt4support
%post -n %{libnameqt4} -p /sbin/ldconfig
%postun -n %{libnameqt4} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/*
%_mandir/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libpoppler-glib.so.%{major}*
%{_libdir}/libpoppler.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libpoppler-glib.so
%{_libdir}/libpoppler.so
%attr(644,root,root) %{_libdir}/libpoppler-glib.*a
%attr(644,root,root) %{_libdir}/libpoppler.*a
%dir %{_includedir}/poppler
%{_includedir}/poppler/glib
%{_includedir}/poppler/poppler-page-transition.h
%{_includedir}/poppler/[A-Z]*
%{_includedir}/poppler/goo
%{_includedir}/poppler/splash
%{_includedir}/poppler/poppler-config.h
%{_libdir}/pkgconfig/poppler-cairo.pc
%{_libdir}/pkgconfig/poppler-glib.pc
%{_libdir}/pkgconfig/poppler-splash.pc
%{_libdir}/pkgconfig/poppler.pc
%_datadir/gtk-doc/html/%name

%files -n %{libnameqt}
%defattr(-,root,root)
%{_libdir}/libpoppler-qt.so.%{qtmajor}*

%files -n %{libnameqt}-devel
%defattr(-,root,root)
%{_libdir}/libpoppler-qt.so
%attr(644,root,root) %{_libdir}/libpoppler-qt.*a
%{_libdir}/pkgconfig/poppler-qt.pc
%_includedir/poppler/poppler-qt.h


%if %qt4support
%files -n %{libnameqt4}-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/poppler-qt4.pc
%_includedir/poppler/poppler-qt4.h
%{_includedir}/poppler/poppler-annotation.h
%{_includedir}/poppler/poppler-link.h
%{_libdir}/libpoppler-qt4.so
%attr(644,root,root) %{_libdir}/libpoppler-qt4.*a

%files -n %{libnameqt4}
%defattr(-,root,root)
%{_libdir}/libpoppler-qt4.so.%{qtmajor}*
%endif


%changelog
* Mon Aug 13 2007 Vincent Danen <vdanen@mandriva.com> 0.5.3-5.3mdv2007.0
- rebuild to actually apply the patch

* Thu Aug 02 2007 Vincent Danen <vdanen@mandriva.com> 0.5.3-5.2mdv2007.0
- P3: security fix for CVE-2007-3387 (embedded xpdf)

* Tue Jan 16 2007 Stew Benedict <sbenedict@mandriva.com> 0.5.3-5.1mdv2007.0
- P2: security fix for CVE-2007-0104 (embedded xpdf)

* Sat Aug 19 2006 Pascal Terjan <pterjan@mandriva.org> 0.5.3-5mdv2007.0
- Avoid some crash (P0, P1, bug #24515)

* Mon Jul 03 2006 Pascal Terjan <pterjan@mandriva.org> 0.5.3-4mdv2007.0
- Fix group of -devel subpackages

* Fri Jun 23 2006 Laurent MONTEL <lmontel@mandriva.com> 0.5.3-3
- Rebuild 

* Wed May 31 2006 Gtz Waschk <waschk@mandriva.org> 0.5.3-2mdv2007.0
- move the headers to the right subpackage

* Wed May 31 2006 Pascal Terjan <pterjan@mandriva.org> 0.5.3-1mdv2007.0
- New release 0.5.3
- enable qt4

* Tue May 23 2006 Gtz Waschk <waschk@mandriva.org> 0.5.2-1mdk
- disable qt4
- New release 0.5.2

* Tue May 02 2006 Laurent MONTEL <lmontel@mandriva.com> 0.5.1-7
- Disable qt4 support as poppler developper was not able to create good makefile... => link by default qt support with qt4 lib is not a very good idea...

* Tue Apr 25 2006 Gtz Waschk <waschk@mandriva.org> 0.5.1-6mdk
- readd xpdf headers (needed by abiword)

* Fri Apr 21 2006 Laurent MONTEL <lmontel@mandriva.com> 0.5.1-5
- Oops forgot to add ldconfig

* Fri Apr 21 2006 Laurent MONTEL <lmontel@mandriva.com> 0.5.1-4
- Fix search qt4 include/lib
- Active qt4 poppler module
- For me it will better to rename poppler-qt1 package to poppler-qt3-1- package

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 0.5.1-3mdk
- fix the conflict

* Tue Mar  7 2006 Gtz Waschk <waschk@mandriva.org> 0.5.1-2mdk
- fix major

* Tue Mar 07 2006 Laurent MONTEL <lmontel@mandriva.com> 0.5.1-1
- 0.5.1

* Mon Jan 23 2006 Gtz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- add binary package
- update file list
- drop patches
- New release 0.5.0

* Mon Jan 16 2006 Pascal Terjan <pterjan@mandriva.org> 0.4.4-1mdk
- 0.4.4
- Drop P1

* Fri Jan 06 2006 Pascal Terjan <pterjan@mandriva.org> 0.4.3-2mdk
- patches from MDKSA-2006:003 :
 - overflow issues discovered by Chris Evans (P1)
  (CVE-2005-3624,3625,3626,3627)
 - overflows in goo/gmem.c (P2)

* Fri Dec 30 2005 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdk
- New release 0.4.3
- use mkrel

* Tue Oct  4 2005 Gtz Waschk <waschk@mandriva.org> 0.4.2-1mdk
- drop patch 1
- New release 0.4.2

* Thu Sep 08 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.1-3mdk 
- Patch1 (CVS): various fixes, fixes zlib compression pdf, rotations
  freetype2 usage

* Sat Aug 27 2005 Gtz Waschk <waschk@mandriva.org> 0.4.1-2mdk
- remove fortiy from optflags
- cjk patch, thanks to Pablo Rodriguez

* Fri Aug 26 2005 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdk
- New release 0.4.1

* Tue Aug 16 2005 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdk
- New release 0.4.0

* Thu Aug 11 2005 Götz Waschk <waschk@mandriva.org> 0.3.3-2mdk
- rebuild for new cairo

* Fri Jun 24 2005 Gtz Waschk <waschk@mandriva.org> 0.3.3-1mdk
- New release 0.3.3

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- requires new cairo
- drop merged patch
- New release 0.3.2

* Thu May 05 2005 Pascal Terjan <pterjan@mandriva.org> 0.3.1-4mdk
- Enforce Qt suuport so that we fail at configure not when checking %%files
- Fix building Qt support on x86_64

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.1-3mdk
- Rebuild with new gcc
- Add patch1: fix load text in utf8 Patch from Albert Astals Cid

* Mon May  2 2005 Gtz Waschk <waschk@mandriva.org> 0.3.1-2mdk
- move qt support to a separate package

* Mon May 02 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.1-1mdk
- 0.3.1
- Reactivate qt support necessary for kat

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- disable qt wrapper
- New release 0.3.0

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-2mdk
- enable cairo

* Wed Apr 06 2005 Götz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- New release 0.2.0

* Tue Mar 15 2005 Pascal Terjan <pterjan@mandrake.org> 0.1.2-2mdk
- Explicitely disable cairo and drop the useless BuildRequires (will have
  to be when we'll have newer cairo)

* Mon Mar 14 2005 Pascal Terjan <pterjan@mandrake.org> 0.1.2-1mdk
- First mdk package
